﻿Public Class Membre
    Implements INotifyPropertyChanged

    Private m_ID As String
    Private m_Nom As String
    Private m_Ville As Ville
    Private m_Statut As StatutMembre

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Public Sub New(ByVal name As String)
        Me.Nom = name
        m_Ville = New Ville
        'Me.Ville.CodePostal = cp
        m_Statut = New StatutMembre
    End Sub

    Public Property ID() As String
        Get
            Return m_ID
        End Get
        Set(ByVal value As String)
            m_ID = value
            OnPropertyChanged("ID")
        End Set
    End Property

    Public Property Nom() As String
        Get
            Return m_Nom
        End Get
        Set(ByVal value As String)
            m_Nom = value
            OnPropertyChanged("Nom")
        End Set
    End Property

    Public Property Ville() As Ville
        Get
            Return m_Ville
        End Get
        Set(ByVal value As Ville)
            m_Ville.ID = value.ID
            m_Ville.Nom = value.Nom
            m_Ville.CodePostal = value.CodePostal
            'm_Ville = value
            OnPropertyChanged("Ville")
        End Set
    End Property

    Public Property Statut() As StatutMembre
        Get
            Return m_Statut
        End Get
        Set(ByVal value As StatutMembre)
            m_Statut.ID = value.ID
            m_Statut.Libelle = value.Libelle
            OnPropertyChanged("Statut")
        End Set
    End Property

    Protected Sub OnPropertyChanged(ByVal name As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(name))
    End Sub

End Class
